import requests, json

authorize_url = "https://api.compliance.ai"
token_url = "http://compliance.api.mashery.com/oauth2/token"

#callback url specified when the application was defined
callback_uri = "https://api.compliance.ai"

#invoke Compliance.ai API with a simple search query
test_api_url = "https://api.compliance.ai/v1/searchoauth?all_agencies=true&amp; order=desc&amp; sort=publication_date&amp; limit=10&amp; exclusive_fields=id"

#enter the provided client_id and client_secret from your Compliance.ai mashery my account -> keys ->
client_id = 'TODO_client_id'
client_secret = 'TODO_client_secret'

authorization_redirect_url = authorize_url + '?response_type=code&client_id=' + client_id + '&redirect_uri=' + callback_uri + '&scope=openid'

data = {'grant_type': 'client_credentials', 'redirect_uri': callback_uri}    
access_token_response = requests.post(token_url, data=data, verify=False, allow_redirects=False, auth=(client_id, client_secret))

print("Response:")
print(access_token_response.headers)
print('body:%s' + str(access_token_response.text))

# Use the access_token to access protected resources:
this_token = json.loads(access_token_response.text)
access_token = this_token['access_token']
print("Access Token:%s" + str(access_token))

# Call the Compliance.ai API end point with the new access token
api_call_headers = {'Authorization': 'Bearer ' + access_token}
api_call_response = requests.get(test_api_url, headers=api_call_headers, verify=False)
print(api_call_response.text)